From c3cc986138426173a27d8f1811bfac86807f768e Mon Sep 17 00:00:00 2001
From: Rajesh Taneja <rajesh@moodle.com>
Date: Fri, 10 Apr 2015 13:52:26 +0800
Subject: [PATCH] MDL-49799 behat: replaced asd.com with example.com

asd.com is a valid domain, we should use reserved domain names for testing
---
 admin/tests/behat/filter_users.feature             | 12 +++++-----
 .../tool/behat/tests/behat/data_generators.feature | 14 ++++++------
 .../behat/tests/behat/edit_permissions.feature     |  2 +-
 .../behat/tests/behat/get_and_set_fields.feature   |  6 ++---
 .../ui/tests/behat/duplicate_activities.feature    |  2 +-
 backup/util/ui/tests/behat/import_course.feature   |  2 +-
 badges/tests/behat/award_badge.feature             | 26 +++++++++++-----------
 blocks/comments/tests/behat/add_comment.feature    |  4 ++--
 blocks/comments/tests/behat/delete_comment.feature |  4 ++--
 .../behat/block_course_summary_course.feature      |  4 ++--
 blocks/html/tests/behat/course_block.feature       |  4 ++--
 blocks/login/tests/behat/login_block.feature       |  2 +-
 .../navigation/tests/behat/view_my_courses.feature |  2 +-
 blocks/news_items/tests/behat/display_news.feature |  2 +-
 .../tests/behat/block_participants_course.feature  |  2 +-
 .../behat/block_participants_frontpage.feature     |  2 +-
 .../tests/behat/structural_changes.feature         | 10 ++++-----
 blocks/tests/behat/add_blocks.feature              |  4 ++--
 .../behat/configure_block_throughout_site.feature  |  4 ++--
 blocks/tests/behat/manage_blocks.feature           |  2 +-
 .../tests/behat/restrict_available_blocks.feature  |  2 +-
 calendar/tests/behat/calendar.feature              |  4 ++--
 .../behat/enable_manual_complete_mark.feature      |  4 ++--
 .../tests/behat/restrict_activity_by_date.feature  |  4 ++--
 .../tests/behat/restrict_activity_by_grade.feature |  4 ++--
 .../behat/restrict_section_availability.feature    |  4 ++--
 .../behat/activities_edit_with_block_dock.feature  |  2 +-
 course/tests/behat/activities_group_icons.feature  |  2 +-
 course/tests/behat/activities_indentation.feature  |  4 ++--
 .../behat/activities_visibility_icons.feature      |  8 +++----
 course/tests/behat/add_activities.feature          |  4 ++--
 course/tests/behat/course_controls.feature         |  4 ++--
 course/tests/behat/course_creation.feature         |  4 ++--
 course/tests/behat/edit_settings.feature           |  2 +-
 course/tests/behat/force_group_mode.feature        |  2 +-
 course/tests/behat/max_number_sections.feature     |  2 +-
 course/tests/behat/move_activities.feature         |  2 +-
 course/tests/behat/move_sections.feature           |  2 +-
 course/tests/behat/rename_roles.feature            |  6 ++---
 .../behat/restrict_available_activities.feature    |  2 +-
 course/tests/behat/section_highlighting.feature    |  4 ++--
 course/tests/behat/section_visibility.feature      |  4 ++--
 enrol/guest/tests/behat/guest_access.feature       |  4 ++--
 enrol/self/tests/behat/self_enrolment.feature      |  4 ++--
 .../form/rubric/tests/behat/edit_rubric.feature    |  4 ++--
 .../tests/behat/publish_rubric_templates.feature   |  4 ++--
 .../rubric/tests/behat/reuse_own_rubrics.feature   |  2 +-
 grade/tests/behat/grade_aggregation.feature        |  4 ++--
 grade/tests/behat/grade_override_letter.feature    |  2 +-
 grade/tests/behat/grade_scales.feature             | 12 +++++-----
 grade/tests/behat/grade_view.feature               |  4 ++--
 group/tests/behat/auto_creation.feature            | 22 +++++++++---------
 group/tests/behat/create_groups.feature            | 20 ++++++++---------
 group/tests/behat/delete_groups.feature            |  2 +-
 group/tests/behat/groups_import.feature            |  2 +-
 group/tests/behat/id_uniqueness.feature            |  2 +-
 group/tests/behat/update_groups.feature            |  2 +-
 message/tests/behat/block_users.feature            |  4 ++--
 message/tests/behat/display_history.feature        |  4 ++--
 message/tests/behat/manage_contacts.feature        |  4 ++--
 message/tests/behat/message_participants.feature   |  8 +++----
 message/tests/behat/search_history.feature         |  4 ++--
 .../editpdf/tests/behat/annotate_pdf.feature       | 14 ++++++------
 .../tests/behat/allow_another_attempt.feature      |  4 ++--
 mod/assign/tests/behat/comment_inline.feature      |  4 ++--
 .../tests/behat/edit_previous_feedback.feature     |  6 ++---
 mod/assign/tests/behat/file_submission.feature     |  4 ++--
 mod/assign/tests/behat/filter_by_marker.feature    |  8 +++----
 mod/assign/tests/behat/grading_status.feature      |  4 ++--
 mod/assign/tests/behat/group_submission.feature    | 24 ++++++++++----------
 mod/assign/tests/behat/online_submissions.feature  |  4 ++--
 mod/assign/tests/behat/outcome_grading.feature     | 12 +++++-----
 .../tests/behat/prevent_submission_changes.feature |  6 ++---
 mod/assign/tests/behat/quickgrading.feature        | 10 ++++-----
 mod/assign/tests/behat/submission_comments.feature |  4 ++--
 mod/book/tests/behat/create_chapters.feature       |  2 +-
 mod/choice/tests/behat/add_choice.feature          |  4 ++--
 mod/choice/tests/behat/block_editing.feature       |  6 ++---
 mod/choice/tests/behat/change_response.feature     |  4 ++--
 mod/choice/tests/behat/limit_responses.feature     |  6 ++---
 mod/choice/tests/behat/publish_results.feature     |  4 ++--
 .../behat/publish_results_anonymously.feature      |  6 ++---
 mod/data/tests/behat/add_entries.feature           |  4 ++--
 mod/data/tests/behat/view_entries.feature          |  4 ++--
 mod/forum/tests/behat/add_forum.feature            |  4 ++--
 ...completion_condition_number_discussions.feature |  4 ++--
 mod/forum/tests/behat/discussion_display.feature   |  2 +-
 mod/forum/tests/behat/edit_post_student.feature    |  2 +-
 mod/forum/tests/behat/edit_post_teacher.feature    |  4 ++--
 .../tests/behat/separate_group_discussions.feature |  8 +++----
 ...separate_group_single_group_discussions.feature |  2 +-
 .../tests/behat/single_forum_discussion.feature    |  4 ++--
 mod/forum/tests/behat/track_read_posts.feature     |  4 ++--
 mod/glossary/tests/behat/categories.feature        |  4 ++--
 .../tests/behat/entries_always_editable.feature    |  4 ++--
 .../tests/behat/entries_require_approval.feature   |  6 ++---
 .../tests/behat/prevent_duplicate_entries.feature  |  2 +-
 .../tests/behat/print_friendly_version.feature     |  4 ++--
 mod/glossary/tests/behat/search_entries.feature    |  4 ++--
 mod/lesson/tests/behat/date_availability.feature   |  4 ++--
 mod/lesson/tests/behat/lesson_edit_cluster.feature |  4 ++--
 mod/lesson/tests/behat/lesson_edit_pages.feature   |  4 ++--
 .../tests/behat/lesson_essay_question.feature      |  4 ++--
 .../tests/behat/lesson_informations_at_end.feature |  4 ++--
 mod/lesson/tests/behat/lesson_navigation.feature   |  4 ++--
 .../lesson_number_of_student_attempts.feature      |  6 ++---
 mod/lesson/tests/behat/lesson_practice.feature     |  4 ++--
 mod/lesson/tests/behat/lesson_review.feature       |  4 ++--
 .../tests/behat/lesson_student_resume.feature      |  4 ++--
 .../tests/behat/lesson_with_clusters.feature       |  4 ++--
 .../tests/behat/lesson_with_subcluster.feature     |  4 ++--
 mod/lesson/tests/behat/link_to_gradebook.feature   |  4 ++--
 mod/lesson/tests/behat/password_protection.feature |  4 ++--
 mod/lesson/tests/behat/time_limit.feature          |  4 ++--
 mod/scorm/tests/behat/add_scorm.feature            |  4 ++--
 mod/survey/tests/behat/survey_types.feature        |  2 +-
 .../tests/behat/collaborative_individual.feature   |  6 ++---
 mod/wiki/tests/behat/edit_tags.feature             |  4 ++--
 mod/wiki/tests/behat/page_history.feature          |  6 ++---
 mod/wiki/tests/behat/preview_page.feature          |  4 ++--
 mod/wiki/tests/behat/wiki_comments.feature         |  6 ++---
 mod/wiki/tests/behat/wiki_formats.feature          |  2 +-
 mod/wiki/tests/behat/wiki_search.feature           |  6 ++---
 .../tests/behat/workshop_assessment.feature        | 10 ++++-----
 my/tests/behat/add_blocks.feature                  |  4 ++--
 my/tests/behat/reset_page.feature                  |  4 ++--
 my/tests/behat/restrict_available_blocks.feature   |  2 +-
 question/tests/behat/copy_questions.feature        |  2 +-
 question/tests/behat/delete_questions.feature      |  2 +-
 question/tests/behat/edit_questions.feature        |  2 +-
 question/tests/behat/preview_question.feature      |  2 +-
 question/tests/behat/question_categories.feature   |  2 +-
 question/tests/behat/sort_questions.feature        |  2 +-
 report/log/tests/behat/filter_log.feature          |  2 +-
 report/log/tests/behat/user_log.feature            |  4 ++--
 report/outline/tests/behat/outline.feature         |  6 ++---
 report/outline/tests/behat/user.feature            |  4 ++--
 .../tests/behat/filter_participation.feature       |  4 ++--
 repository/tests/behat/create_shortcut.feature     |  2 +-
 repository/tests/behat/overwrite_file.feature      |  2 +-
 user/tests/behat/add_blocks.feature                |  4 ++--
 user/tests/behat/delete_users.feature              |  8 +++----
 user/tests/behat/reset_page.feature                |  4 ++--
 user/tests/behat/view_full_profile.feature         |  6 ++---
 144 files changed, 341 insertions(+), 341 deletions(-)

diff --git a/admin/tests/behat/filter_users.feature b/admin/tests/behat/filter_users.feature
index 253ec7c..8feb542 100644
--- a/admin/tests/behat/filter_users.feature
+++ b/admin/tests/behat/filter_users.feature
@@ -7,10 +7,10 @@ Feature: An administrator can filter user accounts by role, cohort and other pro
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email | auth | confirmed |
-      | user1 | User | One | one@asd.com | manual | 0 |
-      | user2 | User | Two | two@asd.com | ldap | 1 |
-      | user3 | User | Three | three@asd.com | manual | 1 |
-      | user4 | User | Four | four@asd.com | ldap | 0 |
+      | user1 | User | One | one@example.com | manual | 0 |
+      | user2 | User | Two | two@example.com | ldap | 1 |
+      | user3 | User | Three | three@example.com | manual | 1 |
+      | user4 | User | Four | four@example.com | ldap | 0 |
     And the following "cohorts" exist:
       | name | idnumber |
       | Cohort 1 | CH1 |
@@ -23,8 +23,8 @@ Feature: An administrator can filter user accounts by role, cohort and other pro
       | user2 | C1 | student |
       | user3 | C1 | student |
     And I log in as "admin"
-    And I add "User Two (two@asd.com)" user to "CH1" cohort members
-    And I add "User Three (three@asd.com)" user to "CH1" cohort members
+    And I add "User Two (two@example.com)" user to "CH1" cohort members
+    And I add "User Three (three@example.com)" user to "CH1" cohort members
     And I follow "Browse list of users"
 
   @javascript
diff --git a/admin/tool/behat/tests/behat/data_generators.feature b/admin/tool/behat/tests/behat/data_generators.feature
index c9758f2..70830de 100644
--- a/admin/tool/behat/tests/behat/data_generators.feature
+++ b/admin/tool/behat/tests/behat/data_generators.feature
@@ -69,8 +69,8 @@ Feature: Set up contextual data for tests
   Scenario: Role overrides
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "categories" exist:
       | name | category | idnumber |
       | Cat 1 | 0 | CAT1 |
@@ -99,7 +99,7 @@ Feature: Set up contextual data for tests
   Scenario: Add course enrolments
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
@@ -219,8 +219,8 @@ Feature: Set up contextual data for tests
   Scenario: Add relations between users and groups
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname |
       | Course 1 | C1 |
@@ -259,8 +259,8 @@ Feature: Set up contextual data for tests
       | Cat 1 | 0        | CAT1     |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "cohorts" exist:
       | name            | idnumber |
       | System cohort A | CHSA     |
diff --git a/admin/tool/behat/tests/behat/edit_permissions.feature b/admin/tool/behat/tests/behat/edit_permissions.feature
index d16e543..26d4f42 100644
--- a/admin/tool/behat/tests/behat/edit_permissions.feature
+++ b/admin/tool/behat/tests/behat/edit_permissions.feature
@@ -7,7 +7,7 @@ Feature: Edit capabilities
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/admin/tool/behat/tests/behat/get_and_set_fields.feature b/admin/tool/behat/tests/behat/get_and_set_fields.feature
index 780a315..56c111f 100644
--- a/admin/tool/behat/tests/behat/get_and_set_fields.feature
+++ b/admin/tool/behat/tests/behat/get_and_set_fields.feature
@@ -10,9 +10,9 @@ Feature: Verify that all form fields values can be get and set
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | email | firstname | lastname |
-      | student1 | s1@asd.com | Student | 1 |
-      | student2 | s2@asd.com | Student | 2 |
-      | student3 | s3@asd.com | Student | 3 |
+      | student1 | s1@example.com | Student | 1 |
+      | student2 | s2@example.com | Student | 2 |
+      | student3 | s3@example.com | Student | 3 |
     And the following "course enrolments" exist:
       | user | course | role |
       | student1 | C1 | student |
diff --git a/backup/util/ui/tests/behat/duplicate_activities.feature b/backup/util/ui/tests/behat/duplicate_activities.feature
index 37537ec..76f85e9 100644
--- a/backup/util/ui/tests/behat/duplicate_activities.feature
+++ b/backup/util/ui/tests/behat/duplicate_activities.feature
@@ -11,7 +11,7 @@ Feature: Duplicate activities
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/backup/util/ui/tests/behat/import_course.feature b/backup/util/ui/tests/behat/import_course.feature
index 274b04b..29388d4 100644
--- a/backup/util/ui/tests/behat/import_course.feature
+++ b/backup/util/ui/tests/behat/import_course.feature
@@ -12,7 +12,7 @@ Feature: Import course's contents into another course
       | Course 2 | C2 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/badges/tests/behat/award_badge.feature b/badges/tests/behat/award_badge.feature
index 0c22086..600dfbc 100644
--- a/badges/tests/behat/award_badge.feature
+++ b/badges/tests/behat/award_badge.feature
@@ -39,8 +39,8 @@ Feature: Award badges
   Scenario: Award site badge
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher | teacher | 1 | teacher1@asd.com |
-      | student | student | 1 | student1@asd.com |
+      | teacher | teacher | 1 | teacher1@example.com |
+      | student | student | 1 | student1@example.com |
     And I log in as "admin"
     And I navigate to "Add a new badge" node in "Site administration > Badges"
     And I set the following fields to these values:
@@ -56,9 +56,9 @@ Feature: Award badges
     And I press "Continue"
     And I follow "Recipients (0)"
     And I press "Award badge"
-    And I set the field "potentialrecipients[]" to "teacher 1 (teacher1@asd.com)"
+    And I set the field "potentialrecipients[]" to "teacher 1 (teacher1@example.com)"
     And I press "Award badge"
-    And I set the field "potentialrecipients[]" to "student 1 (student1@asd.com)"
+    And I set the field "potentialrecipients[]" to "student 1 (student1@example.com)"
     And I press "Award badge"
     When I follow "Site Badge"
     Then I should see "Recipients (2)"
@@ -72,9 +72,9 @@ Feature: Award badges
   Scenario: Award course badge
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | category | groupmode |
       | Course 1 | C1 | 0 | 1 |
@@ -100,9 +100,9 @@ Feature: Award badges
     And I press "Continue"
     And I follow "Recipients (0)"
     And I press "Award badge"
-    And I set the field "potentialrecipients[]" to "Student 2 (student2@asd.com)"
+    And I set the field "potentialrecipients[]" to "Student 2 (student2@example.com)"
     And I press "Award badge"
-    And I set the field "potentialrecipients[]" to "Student 1 (student1@asd.com)"
+    And I set the field "potentialrecipients[]" to "Student 1 (student1@example.com)"
     When I press "Award badge"
     And I follow "Course Badge"
     Then I should see "Recipients (2)"
@@ -120,8 +120,8 @@ Feature: Award badges
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | Frist | teacher1@asd.com |
-      | student1 | Student | First | student1@asd.com |
+      | teacher1 | Teacher | Frist | teacher1@example.com |
+      | student1 | Student | First | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
@@ -172,8 +172,8 @@ Feature: Award badges
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | Frist | teacher1@asd.com |
-      | student1 | Student | First | student1@asd.com |
+      | teacher1 | Teacher | Frist | teacher1@example.com |
+      | student1 | Student | First | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/blocks/comments/tests/behat/add_comment.feature b/blocks/comments/tests/behat/add_comment.feature
index 1fd16c6..8dde798 100644
--- a/blocks/comments/tests/behat/add_comment.feature
+++ b/blocks/comments/tests/behat/add_comment.feature
@@ -10,8 +10,8 @@ Feature: Add a comment to the comments block
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | Frist | teacher1@asd.com |
-      | student1 | Student | First | student1@asd.com |
+      | teacher1 | Teacher | Frist | teacher1@example.com |
+      | student1 | Student | First | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/blocks/comments/tests/behat/delete_comment.feature b/blocks/comments/tests/behat/delete_comment.feature
index 2c14982..73f78dd 100644
--- a/blocks/comments/tests/behat/delete_comment.feature
+++ b/blocks/comments/tests/behat/delete_comment.feature
@@ -11,8 +11,8 @@ Feature: Delete comment block messages
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | First | teacher1@asd.com |
-      | student1 | Student | First | student1@asd.com |
+      | teacher1 | Teacher | First | teacher1@example.com |
+      | student1 | Student | First | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/blocks/course_summary/tests/behat/block_course_summary_course.feature b/blocks/course_summary/tests/behat/block_course_summary_course.feature
index bfe1e1b..c388f49 100644
--- a/blocks/course_summary/tests/behat/block_course_summary_course.feature
+++ b/blocks/course_summary/tests/behat/block_course_summary_course.feature
@@ -10,8 +10,8 @@ Feature: Course summary block used in a course
       | Course 1 | C101      | Proved the course summary block works! |0        |
     And the following "users" exist:
       | username    | firstname | lastname | email            |
-      | student1    | Sam       | Student  | student1@asd.com |
-      | teacher1    | Teacher   | One      | teacher1@asd.com |
+      | student1    | Sam       | Student  | student1@example.com |
+      | teacher1    | Teacher   | One      | teacher1@example.com |
     And the following "course enrolments" exist:
       | user        | course | role    |
       | student1    | C101   | student |
diff --git a/blocks/html/tests/behat/course_block.feature b/blocks/html/tests/behat/course_block.feature
index c44a758..0815bad 100644
--- a/blocks/html/tests/behat/course_block.feature
+++ b/blocks/html/tests/behat/course_block.feature
@@ -7,8 +7,8 @@ Feature: HTML blocks in a course
   Scenario: Adding HTML block in a course
     Given the following "users" exist:
       | username | firstname | lastname | email            |
-      | teacher1 | Terry1    | Teacher1 | teacher@asd.com  |
-      | student1 | Sam1      | Student1 | student1@asd.com |
+      | teacher1 | Terry1    | Teacher1 | teacher@example.com  |
+      | student1 | Sam1      | Student1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname |
       | Course 1 | C1        |
diff --git a/blocks/login/tests/behat/login_block.feature b/blocks/login/tests/behat/login_block.feature
index 4ecfcf4..727d9eb 100644
--- a/blocks/login/tests/behat/login_block.feature
+++ b/blocks/login/tests/behat/login_block.feature
@@ -7,7 +7,7 @@ Feature: Login from a block
   Background:
     Given the following "users" exist:
       | username | password | firstname | lastname | email |
-      | testuser | testpass | Test      | User     | student1@asd.com |
+      | testuser | testpass | Test      | User     | student1@example.com |
     And I log in as "admin"
     And I navigate to "Turn editing on" node in "Front page settings"
     And I add the "Login" block
diff --git a/blocks/navigation/tests/behat/view_my_courses.feature b/blocks/navigation/tests/behat/view_my_courses.feature
index f0345d3..81ed8c9 100644
--- a/blocks/navigation/tests/behat/view_my_courses.feature
+++ b/blocks/navigation/tests/behat/view_my_courses.feature
@@ -7,7 +7,7 @@ Feature: View my courses in navigation block
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "categories" exist:
       | name  | category | idnumber |
       | cat1  | 0        | cat1     |
diff --git a/blocks/news_items/tests/behat/display_news.feature b/blocks/news_items/tests/behat/display_news.feature
index 1768980..1a6eee8 100644
--- a/blocks/news_items/tests/behat/display_news.feature
+++ b/blocks/news_items/tests/behat/display_news.feature
@@ -8,7 +8,7 @@ Feature: Latest news block displays the course latest news
   Scenario: Latest course news are displayed and can be configured
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And I log in as "admin"
     And I create a course with:
       | Course full name | Course 1 |
diff --git a/blocks/participants/tests/behat/block_participants_course.feature b/blocks/participants/tests/behat/block_participants_course.feature
index 4c1ed34..dc4d648 100644
--- a/blocks/participants/tests/behat/block_participants_course.feature
+++ b/blocks/participants/tests/behat/block_participants_course.feature
@@ -10,7 +10,7 @@ Feature: People Block used in a course
       | Course 1 | C101      | 0        |
     And the following "users" exist:
       | username    | firstname | lastname | email            |
-      | student1    | Sam       | Student  | student1@asd.com |
+      | student1    | Sam       | Student  | student1@example.com |
     And the following "course enrolments" exist:
       | user        | course | role           |
       | student1    | C101   | student        |
diff --git a/blocks/participants/tests/behat/block_participants_frontpage.feature b/blocks/participants/tests/behat/block_participants_frontpage.feature
index 8be2179..845ebb6 100644
--- a/blocks/participants/tests/behat/block_participants_frontpage.feature
+++ b/blocks/participants/tests/behat/block_participants_frontpage.feature
@@ -7,7 +7,7 @@ Feature: People Block used on frontpage
   Background:
     Given the following "users" exist:
       | username    | firstname | lastname | email            |
-      | student1    | Sam       | Student  | student1@asd.com |
+      | student1    | Sam       | Student  | student1@example.com |
     And I log in as "admin"
     And I navigate to "Turn editing on" node in "Front page settings"
     And I add the "People" block
diff --git a/blocks/recent_activity/tests/behat/structural_changes.feature b/blocks/recent_activity/tests/behat/structural_changes.feature
index c884265..bfcede6 100644
--- a/blocks/recent_activity/tests/behat/structural_changes.feature
+++ b/blocks/recent_activity/tests/behat/structural_changes.feature
@@ -10,11 +10,11 @@ Feature: View structural changes in recent activity block
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username    | firstname | lastname | email            |
-      | teacher1    | Terry1    | Teacher1 | teacher1@asd.com |
-      | assistant1  | Terry2    | Teacher2 | teacher2@asd.com |
-      | student1    | Sam1      | Student1 | student1@asd.com |
-      | student2    | Sam2      | Student2 | student2@asd.com |
-      | student3    | Sam3      | Student3 | student3@asd.com |
+      | teacher1    | Terry1    | Teacher1 | teacher1@example.com |
+      | assistant1  | Terry2    | Teacher2 | teacher2@example.com |
+      | student1    | Sam1      | Student1 | student1@example.com |
+      | student2    | Sam2      | Student2 | student2@example.com |
+      | student3    | Sam3      | Student3 | student3@example.com |
     And the following "course enrolments" exist:
       | user        | course | role           |
       | teacher1    | C1     | editingteacher |
diff --git a/blocks/tests/behat/add_blocks.feature b/blocks/tests/behat/add_blocks.feature
index 0762cc8..ad0083c 100644
--- a/blocks/tests/behat/add_blocks.feature
+++ b/blocks/tests/behat/add_blocks.feature
@@ -7,8 +7,8 @@ Feature: Add blocks
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/blocks/tests/behat/configure_block_throughout_site.feature b/blocks/tests/behat/configure_block_throughout_site.feature
index cd80c3e..c207aff 100644
--- a/blocks/tests/behat/configure_block_throughout_site.feature
+++ b/blocks/tests/behat/configure_block_throughout_site.feature
@@ -10,7 +10,7 @@ Feature: Add and configure blocks throughout the site
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | manager1 | Manager | 1 | manager1@asd.com |
+      | manager1 | Manager | 1 | manager1@example.com |
     And the following "system role assigns" exist:
       | user | course | role |
       | manager1 | Acceptance test site | manager |
@@ -36,7 +36,7 @@ Feature: Add and configure blocks throughout the site
   Scenario: My home does not allow assignation of roles on blocks
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | manager1 | Manager | 1 | manager1@asd.com |
+      | manager1 | Manager | 1 | manager1@example.com |
     And I log in as "manager1"
     And I click on "My home" "link" in the "Navigation" "block"
     When I press "Customise this page"
diff --git a/blocks/tests/behat/manage_blocks.feature b/blocks/tests/behat/manage_blocks.feature
index 179e77d..bfec69a 100644
--- a/blocks/tests/behat/manage_blocks.feature
+++ b/blocks/tests/behat/manage_blocks.feature
@@ -10,7 +10,7 @@ Feature: Block appearances
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | teacher | 1 | teacher1@asd.com |
+      | teacher1 | teacher | 1 | teacher1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/blocks/tests/behat/restrict_available_blocks.feature b/blocks/tests/behat/restrict_available_blocks.feature
index 83ebacf..a6cc685 100644
--- a/blocks/tests/behat/restrict_available_blocks.feature
+++ b/blocks/tests/behat/restrict_available_blocks.feature
@@ -7,7 +7,7 @@ Feature: Allowed blocks controls
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/calendar/tests/behat/calendar.feature b/calendar/tests/behat/calendar.feature
index 619590c..123f0f9 100644
--- a/calendar/tests/behat/calendar.feature
+++ b/calendar/tests/behat/calendar.feature
@@ -7,8 +7,8 @@ Feature: Perform basic calendar functionality
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
